%define name sqlite2
%define version 2.8.17
%define release 1%{?dist}

%{!?__rmrf:%define __rmrf /bin/rm -rf}
%{!?__lnsf:%define __lnsf /bin/ln -sf}
%define _unpackaged_files_terminate_build 0

Name: %{name}
Summary: SQLite is a C library that implements an embeddable SQL database engine
Version: %{version}
Release: %{release}
Epoch: 7

BuildRequires: tcl

Source0: http://www.sqlite.org/sqlite-%{version}.tar.gz
Patch0: sqlite-64bit.patch
Group: System Environment/Libraries
URL: http://www.sqlite.org
License: Public Domain
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
SQLite is a C library that implements an embeddable SQL database engine.
Programs that link with the SQLite library can have SQL database access
without running a separate RDBMS process. The distribution comes with a
standalone command-line access program (sqlite) that can be used to
administer an SQLite database and which serves as an example of how to
use the SQLite library.

%package devel
Summary: Header files and libraries for developing apps which will use sqlite
Group: Development/Libraries
Requires: %{name}

%description devel
The sqlite-devel package contains the header files and libraries needed
to develop programs that use the sqlite database library.

%prep
%setup -q -n sqlite-%{version}
%ifarch x86_64
%patch0 -p1
%endif

%build
CFLAGS="%optflags -DNDEBUG=1" CXXFLAGS="%optflags -DNDEBUG=1" \
%configure \
	--enable-utf8 \
	--enable-in-ram

%{__make} %{?_smp_mflags}
%{__make} doc

%install
install -d $RPM_BUILD_ROOT/%{_prefix}
install -d $RPM_BUILD_ROOT/%{_bindir}
install -d $RPM_BUILD_ROOT/%{_includedir}
install -d $RPM_BUILD_ROOT/%{_libdir}
%{__make} DESTDIR=$RPM_BUILD_ROOT install

%clean
%{__rmrf} $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_libdir}/*.so*
%{_bindir}/*

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/sqlite.pc
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*

%changelog
* Tue Feb  7 2006 JoungKyun.Kim <http://oops.org> 7:2.8.17-1
- update 2.8.17

* Mon Apr  4 2005 JoungKyun.Kim <http://oops.org> 6:2.8.16-1
- update 2.8.16

* Mon Aug 31 2004 JoungKyun.Kim <http://oops.org> 5:2.8.15-1
- update 2.8.15

* Mon Jul  5 2004 JoungKyun.Kim <http://oops.org> 4:2.8.14-1
- update 2.8.14

* Wed May 13 2004 JoungKyun.Kim <http://oops.org> 3:2.8.13-1
- update 2.8.13

* Mon Dec 29 2003 JoungKyun.Kim <http://oops.org> 2:2.8.6-2,2
- support utf8
- support in-ram database

* Mon Dec 08 2003 JoungKyun.Kim <http://oops.org> 1:2.8.6-1,1
- added on AnNyung 1.0
